gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Gtk::Menu_Helpers::MenuList Class Reference

Inheritance diagram for Gtk::Menu_Helpers::MenuList:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::MenuList:
[legend]

List of all members.

## Public Types
typedef Glib::HelperList < MenuItem, const Element, Glib::List_Cpp_Iterator < GtkMenuItem, MenuItem > > | type_base
## Public Member Functions
| MenuList ()
| MenuList (GtkMenuShell* gparent)
| MenuList (const MenuList& src)
virtual | ~MenuList ()
MenuList& | operator= (const MenuList& src)
GtkMenuShell* | gparent ()
const GtkMenuShell* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk)
iterator | insert (iterator position, element_type& e)
template<class InputIterator >
void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
virtual void | remove (Widget& widget)

## Member Typedef Documentation

typedef Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator<GtkMenuItem,MenuItem> > Gtk::Menu_Helpers::MenuList::type_base

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::MenuList::MenuList | ( |  | ) |

Gtk::Menu_Helpers::MenuList::MenuList | ( | GtkMenuShell * | gparent | ) | `[explicit]`

Gtk::Menu_Helpers::MenuList::MenuList | ( | const MenuList& | src | ) |

virtual Gtk::Menu_Helpers::MenuList::~MenuList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void Gtk::Menu_Helpers::MenuList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  | `[virtual]`

Reimplemented from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

virtual iterator Gtk::Menu_Helpers::MenuList::erase | ( | iterator |  | ) | `[virtual]`

Implements Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

virtual GList*& Gtk::Menu_Helpers::MenuList::glist | ( |  | ) | const`[virtual]`

Implements Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

GtkMenuShell* Gtk::Menu_Helpers::MenuList::gparent | ( |  | ) |

Reimplemented from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

const GtkMenuShell* Gtk::Menu_Helpers::MenuList::gparent | ( |  | ) | const

Reimplemented from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

iterator Gtk::Menu_Helpers::MenuList::insert | ( | iterator | position,
|  | element_type & | e
| ) |  |

template <class InputIterator >

void Gtk::Menu_Helpers::MenuList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) |  | `[inline]`

MenuList& Gtk::Menu_Helpers::MenuList::operator= | ( | const MenuList& | src | ) |

reference Gtk::Menu_Helpers::MenuList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk)

Reimplemented from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

void Gtk::Menu_Helpers::MenuList::push_back | ( | element_type & | e | ) | `[inline]`

void Gtk::Menu_Helpers::MenuList::push_front | ( | element_type & | e | ) | `[inline]`

virtual void Gtk::Menu_Helpers::MenuList::remove | ( | Widget& | widget | ) | `[virtual]`

virtual void Gtk::Menu_Helpers::MenuList::remove | ( | const_reference |  | ) | `[virtual]`

Implements Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

The documentation for this class was generated from the following file:

- gtkmm/menushell.h